## Compiler Extension Presentation Instructions

Presentations will take place in the weeks 13-14. 

**The presentation should be 9 minutes long.**

**Q&A session of 5 minutes** will follow right after the
presentation. 

Shortly after, you will receive feedback from us regarding the content
of your presentation, as well as some general feedback on the form.

### Presentation content

Your presentation should summarize your project. In particular, we\'d
expect to see

-   a basic overview of the features you added to the compiler/language
-   some (short) programs highlighting the use of these features, with a
    description of how your extended compiler behaves on them
-   possibly some theoretical background you had to learn about to
    implement the extension
-   an overview of the changes you made to each compiler phase and/or
    which phases you added

### Presentation style

Here are some useful resources on how to prepare and give talks:

-   [How To Speak by Patrick
    Winston](https://www.youtube.com/watch?v=Unzc731iCUY)
-   [How to give a great research talk by Simon Peyton
    Jones](https://www.microsoft.com/en-us/research/academic-program/give-great-research-talk/)

Please do not use Viktor\'s videos as a model for the presentation, but
instead incorporate as many points of the talk of [Patrick
Winston](https://en.wikipedia.org/wiki/Patrick_Winston) as you believe
apply to your presentation. It is an amazing and entertaining talk,
despite (or because) it is meta-circular: he does as he says. Note:
breaking physical objects or referring to supernatural beings in your
video is not required. Use your own judgment and strike a balance in
being comfortable with what and how you are saying things and trying out
these pieces of advice.
